# Class StreamOutputter

java.lang.Object
org.apache.zookeeper.server.admin.StreamOutputter

All Implemented Interfaces:
  `CommandOutputter`

public class StreamOutputter extends Object implements CommandOutputter
A class for streaming data out.

## Constructor Summary

Constructors
Constructor
Description
`StreamOutputter(String clientIP)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getContentType()`
The MIME type of this output (e.g., "application/json")
`void`
`output(CommandResponse response, OutputStream os)`
Stream out data as output

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface CommandOutputter

`output`

## Constructor Details

### StreamOutputter

public StreamOutputter(String clientIP)

## Method Details

### getContentType

public String getContentType()
Description copied from interface: `CommandOutputter`
The MIME type of this output (e.g., "application/json")

Specified by:
  `getContentType` in interface `CommandOutputter`

### output

public void output(CommandResponse response, OutputStream os)
Description copied from interface: `CommandOutputter`
Stream out data as output

Specified by:
  `output` in interface `CommandOutputter`